/**
 * @jsxRuntime classic
 * @jsx jsx
 */
import { type ReactNode } from 'react';
import { jsx } from '@emotion/react';
import { type BasePrimitiveProps } from './types';
interface InteractionSurfaceProps extends BasePrimitiveProps {
    children: ReactNode;
    appearance?: InteractionBackgroundColor;
}
/**
 *
 * @example
 * ```js
 * // a minimal icon button
 * <Pressable>
 *   <InteractionSurface>
 *    <WarningIcon label="icon button" />
 *  </InteractionSurface>
 * </Pressable>
 * ```
 */
declare const InteractionSurface: ({ appearance, children, testId }: InteractionSurfaceProps) => jsx.JSX.Element;
export default InteractionSurface;
declare const backgroundHoverColorMap: {
    'accent.lime.subtlest': import("@emotion/react").SerializedStyles;
    'accent.lime.subtler': import("@emotion/react").SerializedStyles;
    'accent.lime.subtle': import("@emotion/react").SerializedStyles;
    'accent.lime.bolder': import("@emotion/react").SerializedStyles;
    'accent.red.subtlest': import("@emotion/react").SerializedStyles;
    'accent.red.subtler': import("@emotion/react").SerializedStyles;
    'accent.red.subtle': import("@emotion/react").SerializedStyles;
    'accent.red.bolder': import("@emotion/react").SerializedStyles;
    'accent.orange.subtlest': import("@emotion/react").SerializedStyles;
    'accent.orange.subtler': import("@emotion/react").SerializedStyles;
    'accent.orange.subtle': import("@emotion/react").SerializedStyles;
    'accent.orange.bolder': import("@emotion/react").SerializedStyles;
    'accent.yellow.subtlest': import("@emotion/react").SerializedStyles;
    'accent.yellow.subtler': import("@emotion/react").SerializedStyles;
    'accent.yellow.subtle': import("@emotion/react").SerializedStyles;
    'accent.yellow.bolder': import("@emotion/react").SerializedStyles;
    'accent.green.subtlest': import("@emotion/react").SerializedStyles;
    'accent.green.subtler': import("@emotion/react").SerializedStyles;
    'accent.green.subtle': import("@emotion/react").SerializedStyles;
    'accent.green.bolder': import("@emotion/react").SerializedStyles;
    'accent.teal.subtlest': import("@emotion/react").SerializedStyles;
    'accent.teal.subtler': import("@emotion/react").SerializedStyles;
    'accent.teal.subtle': import("@emotion/react").SerializedStyles;
    'accent.teal.bolder': import("@emotion/react").SerializedStyles;
    'accent.blue.subtlest': import("@emotion/react").SerializedStyles;
    'accent.blue.subtler': import("@emotion/react").SerializedStyles;
    'accent.blue.subtle': import("@emotion/react").SerializedStyles;
    'accent.blue.bolder': import("@emotion/react").SerializedStyles;
    'accent.purple.subtlest': import("@emotion/react").SerializedStyles;
    'accent.purple.subtler': import("@emotion/react").SerializedStyles;
    'accent.purple.subtle': import("@emotion/react").SerializedStyles;
    'accent.purple.bolder': import("@emotion/react").SerializedStyles;
    'accent.magenta.subtlest': import("@emotion/react").SerializedStyles;
    'accent.magenta.subtler': import("@emotion/react").SerializedStyles;
    'accent.magenta.subtle': import("@emotion/react").SerializedStyles;
    'accent.magenta.bolder': import("@emotion/react").SerializedStyles;
    'accent.gray.subtlest': import("@emotion/react").SerializedStyles;
    'accent.gray.subtler': import("@emotion/react").SerializedStyles;
    'accent.gray.subtle': import("@emotion/react").SerializedStyles;
    'accent.gray.bolder': import("@emotion/react").SerializedStyles;
    input: import("@emotion/react").SerializedStyles;
    'inverse.subtle': import("@emotion/react").SerializedStyles;
    neutral: import("@emotion/react").SerializedStyles;
    'neutral.subtle': import("@emotion/react").SerializedStyles;
    'neutral.bold': import("@emotion/react").SerializedStyles;
    selected: import("@emotion/react").SerializedStyles;
    'selected.bold': import("@emotion/react").SerializedStyles;
    'brand.subtlest': import("@emotion/react").SerializedStyles;
    'brand.bold': import("@emotion/react").SerializedStyles;
    'brand.boldest': import("@emotion/react").SerializedStyles;
    danger: import("@emotion/react").SerializedStyles;
    'danger.bold': import("@emotion/react").SerializedStyles;
    warning: import("@emotion/react").SerializedStyles;
    'warning.bold': import("@emotion/react").SerializedStyles;
    success: import("@emotion/react").SerializedStyles;
    'success.bold': import("@emotion/react").SerializedStyles;
    discovery: import("@emotion/react").SerializedStyles;
    'discovery.bold': import("@emotion/react").SerializedStyles;
    information: import("@emotion/react").SerializedStyles;
    'information.bold': import("@emotion/react").SerializedStyles;
    'elevation.surface': import("@emotion/react").SerializedStyles;
    'elevation.surface.overlay': import("@emotion/react").SerializedStyles;
    'elevation.surface.raised': import("@emotion/react").SerializedStyles;
};
type InteractionBackgroundColor = keyof typeof backgroundHoverColorMap;
/**
 * @codegenEnd
 */
